#!/bin/bash
#
#       /var/lib/pgsql/run-syslog2pgsql-insert.sh
#       23-April-2002  by Ben Russo
#
#       This script is intended to be called by cron.
#       This script should never exit, it runs in a loop.
#       The first thing it should do is check to see that
#       if there is another instance already running.
#
#       running this script every minute should work pretty good.
#
#
LOGFILE=/var/lib/postgres/syslog/syslog2pgsql-insert.log
export TZ=UCT
if [ -f /var/lib/postgres/syslog/.insert.lockfile ]
  then
     OLDPID=`cat /var/lib/postgres/syslog/.insert.lockfile`
     NUMPROCS=`ps -e | grep $OLDPID | grep run-syslog2pg | wc -l`
     if [ $NUMPROCS -eq 1 ]
        then
         exit 0
     fi
  fi

echo $$ > /var/lib/postgres/syslog/.insert.lockfile
DATADIR= 
while true
  do
   FILELIST=`find $DATADIR -name "fulllog.2[0-9][0-9][0-9].[0-1][0-9].[0-3][0-9].[0-2][0-9].[0-5][0-9].[0-6][0-9]"`
   sleep 9
   for i in $FILELIST
    do
     cat $i | psql -U postgres -d syslog >> $LOGFILE 2>&1
     DATE=`date`
     echo " $DATE finished $i" >> $LOGFILE
     rm -f $i
    done
   SLPID=`pidof syslog-ng`
   done
